/* @(#)pattern.h 1.17 Software Membership 2/17/96 */
/*
	SM/Editor - Version 2

    ---------
    Copyright (C) Si-Won Cho
            Dept. of Electrical Engineering
            Dongguk University
            Seoul, KOREA
            chosw@dgu4680.dongguk.ac.kr

            SAMSUNG Electronics
            Software Membership

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    ---------
*/
#ifndef PATTERN_H
#define PATTERN_H

extern Boolean	found;

#ifdef _NO_PROTO
extern void setDialogMessage();
extern Widget smCreateSearchDialog();
extern void smManageReplaceText();
extern void SelectionToFind();
extern void ValueChange_cb();
extern void findAgain();
extern void replace_find_text();
extern void ReplaceFindText();
#else /* _NO_PROTO */
extern void setDialogMessage(Widget, char *);
extern Widget smCreateSearchDialog(Widget , char *);
extern void smManageReplaceText(Boolean);
extern void SelectionToFind(Widget);
extern void ValueChange_cb(Widget, XtPointer, XtPointer);
extern void findAgain(Widget);
extern void ReplaceFindText(Widget, XEvent *, String *, Cardinal *);
#endif

#endif
